Built LMS Help Center
API Reference and PlaygroundEnrollments and ProgressCourse Enrollments

POST Create enrollment

Enroll a user in a course within the authenticated organization

POST
/course-enrollments

Enroll a user in a course within the authenticated organization

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/course-enrollments" \  -H "Content-Type: application/json" \  -d '{    "user_id": "{user_id}",    "course_id": "{course_id}",    "status": "enrolled",    "progress_percentage": 1  }'
{  "data": {    "id": "{id}",    "user_id": "{user_id}",    "course_id": "{course_id}",    "organization_id": "{organization_id}",    "status": "string",    "progress_percentage": 0,    "enrolled_at": "2019-08-24T14:15:22Z",    "completed_at": "2019-08-24T14:15:22Z",    "last_accessed_at": "2019-08-24T14:15:22Z"  },  "meta": {    "created": true,    "organization_id": "{organization_id}",    "rls_validated": true  }}